Subject: Re: bug#5000: 23.1.50; empty string not allowed as line-prefix

From: Carsten Dominik <[email-masked]>
Date: Mon, 23 Nov 2009 06:13:24 +0100

On Nov 23, 2009, at 4:49 AM, Stefan Monnier wrote:

>> - open a new buffer in fundamental mode, no auto-fill-mode
>> - insert a long line that will be wrapped for display into two or  
>> more
>>  lines.
>> - insert the following form into the buffer, after the long line
>
>>   (add-text-properties (point-min) (point) '(line-prefix ""))
>
>> - evaluate this form
>
>> Expected result:  No change in display
>> Actual result:  The formerly wrapped line is no longer wrapped but
>> displayed as if truncate-lines had been set (it is not set)
>
> Isn't this the feature you were asking for?  ;-)
>
>
>        Stefan
>
>
> PS: You've won a special prize for submitting bug number 5000.

Hi Stefan,

yes, this is my requested feature all right.  Works butifully!  Except  
with
an empty string.

So, what is my prize? :-)

- Carsten